<div class="container">
    <div id="contenido" class="container text-center">
        <h3 class="my-3 text-center">Cédula profesional</h3>
        <!--Calle numero colonia zip city edo. -->
        <div class="row">
            <div class="col-6 mx-auto my-3">
            </div>
        </div>

        <div class="row text-input">
            <div class="col-md-12 form-group">
                <label class="text-input">Nombre de tu carrera: </label>
                <input autocomplete="off" value="{{carreraName}}" placeholder="Ejemplo: Licenciatura en Ingenieria Mecanica" class="form-control"  type="text" id="carreraName" maxlength="70" (keyup.enter)="aceptar()" >
            </div>
        </div>

        <div class="row text-input">
            <div class="col-md-12 form-group">
                <label class="text-input">Cédula profesional: </label>
                <input autocomplete="off" value="{{cedulaProfesionalInput}}" placeholder="12345678" class="form-control" id="cedulaProfesionalInput"  oninput="this.value = this.value.replace(/[^0-9.]/g, '').replace(/(\..*?)\..*/g, '$1').slice(0,11);"
                 (keyup.enter)="aceptar()">
            </div>
        </div>

        <div class="row text-input">
            <div class="col-md-12 form-group">
                <label class="text-input">Año de graduación: </label>
                <input autocomplete="off" value="{{anoGraduacion}}" placeholder="Ejemplo: 1990" class="form-control" id="anoGraduacion" pattern="\d{4}"
                oninput="this.value = this.value.replace(/[^0-9.]/g, '').replace(/(\..*?)\..*/g, '$1').slice(0,4);" (keyup.enter)="aceptar()">
            </div>
        </div>
        <div>
        

        <small class="form-text " style="color:red" id="errorGeneral" *ngIf="errorGeneral">Todos los campos son obligatorios</small> 
        
        <p class="my-3">
            <button type="button"  class="btn btn-lg btn-block btn-danger mr-3 btnUrl btnPrimary" (click)="aceptar()" id="validarBoton"
            [style.background-color]="getColorButton()"
            [style.border-color]="getColorButton()"
            [style.color]="getColorLabel()">Continuar</button>
        </p>                       
    </div>
</div>